Skip to main content
GET
/
taskTemplates
List Tasktemplates
curl --request GET \
  --url https://tms.universal.rollout.com/api/taskTemplates
{
  "_metadata": {
    "collection": "<string>",
    "offset": 123,
    "limit": 123,
    "total": 123,
    "next": "<string>",
    "nextLink": "<string>"
  },
  "taskTemplates": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "transactionType": "<string>",
      "isComplianceChecklist": true,
      "officeId": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "rolloutUpdated": "<string>",
      "originalIds": {},
      "original": {}
    }
  ]
}
GET /taskTemplates Base URL: https://tms.universal.rollout.com/api

Parameters

NameInTypeRequired
nextquerystringNo
offsetquerystring(numeric) | numberNo
limitquerynumberNo

Responses

StatusDescription
200OK
400Bad Request
409Conflict

OpenAPI Source

/openapi/tms.json GET /taskTemplates

Query Parameters

next
string
offset
default:0
limit
number

Response

OK

_metadata
object
required
taskTemplates
object[]
required